<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Campaign Components|Web Page">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Web Page Options</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/web-page-options.html">Open topic with navigation</a>
        </p>
        <h3>Web Page Options</h3>
        <p>The following options are available for you to configure for the web page component:</p>
        <ul>
            <li value="1"><b>Name</b> - The name of the web page component. </li>
            <li value="2"><b>Path</b> - The URL path to the web page. </li>
            <li value="3"><b>Attack Type</b> - The social engineering attack type that the web page launches, such as a phishing attack or file format exploit. </li>
            <li value="4"><b>Content</b> - The HTML content for the web page. </li>
            <li value="5"><b>Template</b> - Wraps the content you define in the campaign text editor with a template you have previously created. </li>
            <li value="6"><b>Clone Website</b> - Clones the web page content from a website. </li>
            <li value="7"><b>Strip&#160;JavaScript</b> - Removes Javascript tags from the cloned HTML and prevents any scripts from running URL checking code or redirecting the human target to the real site. </li>
            <li value="8"><b>Set referer</b> - Sets the HTTP referer header on the outgoing request for the cloned web page. Use this option if you want to use a page that checks referers or if you want to appear to the site administrator as a user that browsed to the website (e.g., http://www.company.com/home). </li>
            <li value="9"><b>Set user agent</b> - Sets the user agent header on the outgoing request for the cloned web page. Use this option if you want to get a targeted version of a website or if you want your request to appear to come from a normal browser. </li>
            <li value="10"><b>Resolve relative URLs</b> - Resolves any relative URLs to absolute URLs in the cloned HTML. 

Since <span class="VariablesProductName">Metasploit Pro</span> does not serve assets or images locally, links to images and files must be absolute URLs. If you clone a website, you should enable this option so that the URLs resolve to valid links and render properly on the web page. </li>
        </ul>
    </body>
</html>